Skip to content

Activate newsletter subscription

POST
/cms/channel/{channel_id}/activate_subscription
curl --request POST \
--url https://api.example.com/cms/channel/1/activate_subscription \
--header 'API-Key: <API-Key>' \
--header 'Content-Type: application/json' \
--data '{ "email": "example", "key": "example" }'

Activate a newsletter subscription for a given email and key

channel_id
required
integer
Media typeapplication/json
object
email
string
key
string

Example generated

{
"email": "example",
"key": "example"
}

Activation result

Media typeapplication/json
object
error
boolean

Example generated

{
"error": true
}